/*************************************************
  File name     : app_main.c
  Module        : 
  Author        : amir 
  Version       : 0.1   
  Created on    : 2022-02-11
  Description   :

  Modify History:   
  1. Date:        Author:         Modification:
*************************************************/
#include "mw_tcpclient.h"
#include "workqueue.h"
#include "hal_interface_wifi.h"
#include "hal_interface_video.h"
#include "hal_interface_audio.h"
#include "hal_interface_flash.h"

#include "app_main.h"
#include "rbtree.h"
#include "util.h"
#include "mw_unittest.h"

#include "hloop.h"
#include "hbase.h"

#include "hlog.h"
#include "map.h"
#include "mw_video.h"
#include "mw_mmc.h"
#include "ringbuffer.h"
#include "av_ringbuffer.h"
#include "xbuf.h"
#include "has_task_msg.h"

#include "mw_tcpserver.h"

extern int32_t standard();


void app_main_init(){
    hlogd("app_main_init revert:%d", ROUNDUP(9, 64));
    kpacket_init(4096); /* must be init firstly */                                                                                                
    //threadpool_test();
    //unittest_test();
    //hal_flash_test();
    //workqueue_test();
    //standard();
    //xbuf_test();
    //hashmap_test();
    //mmc_test();
    //mw_video_test();
    //tcpclient_test();
    //tcpserver_test();
    //ringbuffer_test();
    av_ringbuffer_test();

    
    
    hlogd("app_main_init exit");

}

void app_main_deinit(){
	//app_netclient_destroy();
	LOG_TIME("app_main_deinit");
}


